Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78422 - Missing prereq for expat-devel
Summary: Missing prereq for expat-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-22 18:04 UTC by Valdis Kletnieks
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-22 18:04:45 UTC


Attachments (Terms of Use)

Description Valdis Kletnieks 2002-11-22 18:04:37 UTC
Description of Problem: XFree86 4.2.99-20021110.3 needs expat-devel to compile 
xc/lib/fontconfig/src/fcxml.c

Version-Release number of selected component (if applicable):


How Reproducible: Try rebuilding on a box that doesn't have expat-devel installed


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
This just needs a 'BuildPrereq: expat-devel' line in the spec file....

Comment 1 Mike A. Harris 2002-11-23 09:59:04 UTC
I added that buildreq in the .7 build.  ;o)  I guess it didn't go public
yet.  The latest build does not build fontconfig, but uses the system
supplied fontconfig.  It is not a bad idea anyway to add the BuildRequires
since something else might use expat too, and i sometimes test the
internal fontconfig builds...

I'll add the buildreq.  Thanks.

Comment 2 Mike A. Harris 2002-11-23 10:03:29 UTC
Argh..  the above comment makes no sense.  ;o)

I was thinking 3 different things while typing.  I confused fontconfig-devel
and expat-devel.  So... to clarify....

The next build of X will have everything properly.  ;o)  If you catch
any other missing deps, let me know.

Thanks again.




Note You need to log in before you can comment on or make changes to this bug.